<?php
/**
 * Faster Content module - Powered by Spritz
 * Add a Spritz Redicle to your content
 * 
 * @package mod_faster_content
 * @author  Riccardo Zorn support@fasterjoomla.com
 * @copyright (C) 2011-2014 - http://fasterjoomla.com
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

abstract class ModFasterContentHelper
{
	public static function loadScripts($document, $params) {
		$document->addScript('//sdk.spritzinc.com/jQuery/jquery-2.1.0.min.js');
		
		$libraryVersion = $params->get('spritzLibraryVersion','1.1');
		
		$document->addScript('//sdk.spritzinc.com/js/'.$libraryVersion.'/js/spritz.min.js');
		// override some common style issues.
		$document->addStyleDeclaration('
		.spritzer .button {
			padding:0;margin:0;
			background-color:transparent;
			color:black;
		}
		');	
	}
	
	public static function getInitScript($document, $params) {
		$moduleFolder = JUri::base(false)."modules/mod_faster_content";
		$spriteClientId = $params->get('applicationClientId');
		$spriteClientSecret = $params->get('applicationClientSecret'); // currently unused, is this necessary?
		$anonymousEnabled = $params->get('anonymousEnabled',false);
		
		$anonymousCode = ""; 
		if ($anonymousEnabled) {
			$anonymousCode = "anonymousEnabled: true,";
		}
		/**
		 * The following code additionally sets the language variable, which 
		 * will be used in the SpritzifyText method
		 * this is usually en-gb, en, en-us, it-it etc.
		   I have to match against the supported ones
				    en_us = English
				    en_gb = English (British)
				    de = German
				    es - Spanish
				    fr - French
				    nl - Dutch
				    fi - Finnish
				    it - Italian
				    pt - Portuguese
				    cs = Czech
				    ru = Russian
		 */
		$document->addScriptDeclaration(sprintf("
				function getPageLanguage() {
					var supportedLanguages = new Array('en_us','en_gb','de','es','fr','nl','fi','it','pt','cs','ru');
					var pageLanguage = $('html').attr('lang');
					if (pageLanguage=='') {
						pageLanguage = supportedLanguages[0];
					}
					for (var i=0;i<supportedLanguages.length;i++) {
						if (pageLanguage.indexOf(supportedLanguages[i])===0)
							return supportedLanguages[i];
					}
					return pageLanguage;
				}
				
				var SpritzSettings = {
					clientId: '%s',
					%s
					
						redirectUri: '%s/assets/html/login_success.html'
					};	
				",
				$spriteClientId,
				$anonymousCode,
				$moduleFolder			
		));	
	}
}
